<!DOCTYPE html>
<html>
<title>Pizza 365 project</title>
<meta charset="UTF-8">
<meta name="viewport" content="width=device-width, initial-scale=1">

<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.16.0/umd/popper.min.js"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>

<body onload="onPageLoading()">
  <div class="container">
    <div class="text-center pt-5">
      <span class="h3  border-bottom-3 pt-5">Chọn đồ uống</span>
    </div>
    <div class="form-group">
      <label for="drink-select">Đồ uống</label>
      <select class="form-control" id="drink-select">
        <option value="">Chọn đồ uống</option>
      </select>
    </div>
    <button id="show-result" class="btn btn-primary mb-2" style="width: 300px;" onclick="onBtnHienThiClick()">Hiển
      thị</button>
  </div>


  <script>
    'use strict';
    /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */

    /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */

    /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
    function onPageLoading() {
      //khai báo đố tượng
      var vDoUongObj = {
        tenNuocUong: "",
      }
      //B1 Thu thập dữ liệu đưa vào obj
      thuThapDuLieu(vDoUongObj);
      //B2 Kiểm tra dữ liệu

      var vXmlHttp = new XMLHttpRequest();
      //B3 gọi Api lấy dữ liệu đồ uống
      goiApiLayDanhSachDoUong(vXmlHttp);
      vXmlHttp.onreadystatechange = function () {
        if (this.readyState == 4 && this.status == 200) {
          //B4 hiển thị lên web
          xuLyHienThi(vXmlHttp);
        }
      };

    }
     function onBtnHienThiClick() {
      var vSelectDrink = document.getElementById("drink-select");
      var vDuLieuHopLe = kiemTraDuLieu(vSelectDrink);
      if(vDuLieuHopLe){
        alert("Đồ uống được chọn : " + vSelectDrink.value);
      }
    }
    /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
    function thuThapDuLieu(paramDoUongObj) {
      var vSelectElement = document.getElementById("drink-select");
      paramDoUongObj.tenNuocUong = vSelectElement.value.trim();
    }
    function kiemTraDuLieu(paramSelectDrink) {
      if(paramSelectDrink.value == ""){
        alert("Chưa chọn đồ uống!");
        return false;
      }
      return true;
    }
    function goiApiLayDanhSachDoUong(paramXmlHttp) {
      paramXmlHttp.open("GET", "http://203.171.20.210:8080/devcamp-pizza365/drinks", true);
      paramXmlHttp.send();
    }
    function xuLyHienThi(paramXmlHttp) {
      var vDrinkList = JSON.parse(paramXmlHttp.responseText);
      for (let bIndex = 0; bIndex < vDrinkList.length; bIndex++) {
        let bDrink = vDrinkList[bIndex];
        let bDrinkOptionElement = document.createElement("option");
        let bSelectElement = document.getElementById("drink-select");
        bDrinkOptionElement.value = bDrink.maNuocUong;
        bDrinkOptionElement.text = bDrink.tenNuocUong;
        bSelectElement.appendChild(bDrinkOptionElement);
      }
    }


  </script>
</body>

</html>